Storyden
Trails

List Trails

Return all Trail definitions that the requesting account can manage. Each item includes its trigger, action bindings, lifecycle state, and latest occurrence times. Archived Trails remain in the result.

GET
/trails

Return all Trail definitions that the requesting account can manage. Each item includes its trigger, action bindings, lifecycle state, and latest occurrence times. Archived Trails remain in the result.

Authorization

cookiestoryden-session<token>

Response Body

Trails retrieved.

application/json
  1. response
trails*array<>
Example Request
curl -X GET 'https://example.com/api/trails'
Example Response
{  "trails": [    {      "id": "string",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "deletedAt": "2019-08-24T14:15:22Z",      "misc": {},      "name": "string",      "description": "string",      "created_by": {        "id": "string",        "joined": "2019-08-24T14:15:22Z",        "suspended": "2019-08-24T14:15:22Z",        "handle": "string",        "name": "string",        "signature": "string",        "roles": [          {            "badge": true,            "default": true,            "id": "string",            "name": "string",            "colour": "string",            "meta": {}          }        ]      },      "status": "active",      "trigger": {        "type": "schedule",        "schedule": {          "start": "string",          "timezone": "string",          "rule": {            "frequency": "hourly",            "interval": 1,            "by_weekday": [              "monday"            ],            "by_month": [              1            ],            "by_month_day": [              -31            ],            "count": 1          }        }      },      "actions": [        {          "id": "string",          "createdAt": "2019-08-24T14:15:22Z",          "updatedAt": "2019-08-24T14:15:22Z",          "deletedAt": "2019-08-24T14:15:22Z",          "misc": {},          "action": {            "type": "robot_run",            "robot_ref": "string",            "instruction": "string"          }        }      ],      "next_occurrence_at": "2019-08-24T14:15:22Z",      "last_occurrence_at": "2019-08-24T14:15:22Z"    }  ]}